<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code of Ethics and Professional Practice</title>
</head>
	<body>

		<h1>Software Engineering Code of Ethics and Professional Practice</h1>

		<h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

		<hr>

			<p>
				Keywords: code of ethics, professional responsibility, software engineering
			</p>

		<h4>PREAMBLE</h4>

			<p>
				The short version of the code summarizes aspiration at a high level of abstraction. The clauses that are included in the full version give examples and details of how there aspiration change the way we act as software engineering preofessionals. Without the aspiration, the details can become legalistic and tedious; without the details, the sdpiration can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
			</p>

			<p>
				Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. in accordance with their commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight principles:
			</p>

		<h4>PRINCIPLES</h4>

				<ol>
					<li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
					<li><em>Client and employer</em>. Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
					<li><em>Product</em>. Software engineers shall maintain integrity and independance in their professional judgement.</li>
					<li><em>Judgment</em>. Software engineers shall maintaint integrity and independence in their professional judgment.</li>
					<li><em>Management</em>. Software engineering managers and leaders shall subscribe to and promote ethical approach to the management of software development and maintenance.</li>
					<li><em>Profession</em>. Software engineer shall advance the integrity and reputation of the profession consitent with the public interest.</li>
					<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues.</li>
					<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
				</ol>
	</body>
</html>
